Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Interface CommandElement

All Superinterfaces:
  XDSElement

All Known Implementing Classes:
  NonXDSElement, XDSAddAssociationElement, XDSAddElement, XDSCheckObjectPasswordElement, XDSDeleteElement, XDSModifyAssociationElement, XDSModifyElement, XDSModifyPasswordElement, XDSMoveElement, XDSQueryElement, XDSQueryExElement, XDSRemoveAssociationElement, XDSRenameElement

public interface CommandElement
extends XDSElement

A XDS-encoded command.

An `<add>`, `<modify>`, `<delete>`, `<rename>`, `<move>`, `<query>`, `<modify-password>`, `<check-object-passwordgt;`, `<add-association>`, `<modify-association>`, or `<remove-association>` element.

Method Summary
`String` | `getClassName()` Gets the value of this element's `class-name` attribute.
`String` | `getEventID()` Gets the value of this element's `event-id` attribute.
`String` | `getQualifiedSrcDN()` Gets the value of this element's `src-dn` attribute.
`String` | `getSrcDN()` Gets the value of this element's `src-dn` attribute.
`String` | `getSrcEntryID()` Gets the value of this element's `src-entry-id` attribute.
`void` | `setEventID(String someID)` Sets this element's `event-id` attribute to `someID`.

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### getEventID

    public String getEventID()

  Gets the value of this element's `event-id` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`

### getSrcDN

    public String getSrcDN()

  Gets the value of this element's `src-dn` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`

### getQualifiedSrcDN

    public String getQualifiedSrcDN()

  Gets the value of this element's `src-dn` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`
  Since:
    DTD 2.0

### getClassName

    public String getClassName()

  Gets the value of this element's `class-name` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`

### getSrcEntryID

    public String getSrcEntryID()

  Gets the value of this element's `src-entry-id` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`

### setEventID

    public void setEventID(String someID)

  Sets this element's `event-id` attribute to `someID`.

  Invocation Context:
    WRITE

  Parameters:
    `someID` - if `null` or `""`, no action is taken

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD